import math

def load(list):
    print "Loading AI bindings"

    # binding format:
    # ( 'name of robot from .bot file', 'name of AI from script class',
    #       {'optional constructor parameter':value, 'another':value} )

    # constructor parameters:
    # nose - "front" of bot in radians (default 0)
    # invertible - can function upside-down (default False)
    # topspeed - speed in meters/second AI will attempt not to exceed (default 4.0)
    # throttle - maximum analog value AI will attempt not to exceed (default 100)
    # turnspeed - turning in radians/second AI will attempt not to exceed (default 2.5)
    # turn - maximum analog value AI will attempt not to exceed (default 60)
    # radius - bot radius to use for checking for hazards and walls (default 1.0)

    # 0 - Red Zone "That's where your bot will be after ten seconds with ours!"
    list.append(("Scout","Flipper",{'nose':math.pi*2,'radius':0.1,'topspeed':100,'throttle':100,'turn':30,'turnspeed':5,'weapons':(8,9)}))
    list.append(("RED ALERT","Poker",{'invertible':True,'nose':math.pi*2,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':3,'weapons':(13,14,16,17,18)}))
    list.append(("Second Sentinel","Flipper",{'nose':math.pi*2,'range':99,'radius':0.1,'topspeed':100,'throttle':130,'turn':80,'turnspeed':3,'weapons':(18,19)}))
    list.append(("AW-Intruder!","Flipper",{'nose':math.pi,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(25,)}))
    list.append(("BW-Code R.E.D.","Poker",{'invertible':True,'nose':math.pi*2,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(4,)}))
    list.append(("Guard Duty","Omni",{'invertible':False,'nose':math.pi*2,'radius':0.2,'topspeed':100,'throttle':130,'turn':40,'turnspeed':2,'weapons':(20,)}))

    # 1 - PREHISTORIC "Badder and still bloodthirsty! Or should we say "bot-thirsty" ?"
    list.append(("Roly Poly","Rammer",{'invertible':True,'nose':math.pi,'radius':0.1,'topspeed':100,'throttle':160,'turn':130,'turnspeed':5}))
    list.append(("Saber Teeth","Omni",{'invertible':True,'nose':math.pi*2,'radius':0.2,'topspeed':100,'throttle':130,'turn':60,'turnspeed':5,'weapons':(10,11,12,13)}))
    list.append(("Grog, the Resurrection","Spinner",{'nose':math.pi*2.25,'range':99,'radius':0.1,'topspeed':99,'throttle':130,'turn':70,'turnspeed':4,'weapons':(20,21,22,23,24,25,26)}))
    list.append(("Silex","Poker",{'invertible':False,'nose':math.pi,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5}))
    list.append(("Erectus","Omni",{'nose':math.pi,'radius':0.3,'range':50,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(16,)}))
    list.append(("Sapiens","Spinner",{'invertible':False,'nose':math.pi*2,'radius':1.5,'topspeed':100,'range':99,'throttle':130,'turn':60,'turnspeed':4,'weapons':(2,)}))

    # 2 - The Good Ol' Boys "Don't need nuthin' but my truck, my shotgun, my new bots, and my REVENGE!"
    list.append(("Hammerhead Shark","OmniRam",{'invertible':True,'nose':math.pi,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5}))
    list.append(("Blood Runner","Omni",{'invertible':False,'nose':math.pi*2,'radius':.2,'topspeed':100,'throttle':130,'turn':60,'turnspeed':3,'weapons':(17,)}))
    list.append(("Rabid Grisly Bear","OmniMultiZone",{'invertible':True,'nose':math.pi,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':3,'weapons':(22,23,24,25)}))
    list.append(("Country Farmboy","Omni",{'invertible':True,'nose':math.pi,'radius':0.1,'range':30,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2,'weapons':(17,)}))
    list.append(("Redneck","OmniRam",{'invertible':True,'nose':math.pi*2,'radius':0.1,'topspeed':100,'throttle':130,'turn':80,'turnspeed':2.5,'weapons':(6,7,8,9)}))
    list.append(("Patriot 2","Omni",{'invertible':True,'nose':math.pi,'radius':0.2,'topspeed':100,'throttle':130,'turn':60,'turnspeed':1.5,'weapons':(11,)}))

    # 3 - Team Dragon "Honor - you'll see what it means after fighting our bots."
    list.append(("Ninja","VertSpinner",{'nose':math.pi,'radius':0.1,'range':3,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2,'weapons':(4,5)}))
    list.append(("Samurai","Flipper",{'nose':math.pi*2,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':3.5,'weapons':(9,10)}))
    list.append(("Shogun","Flipper",{'nose':math.pi*2,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':3,'weapons':(13,14,15,16)}))
    list.append(("Bushi","Flipper",{'nose':math.pi*2,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':3,'weapons':(15,)}))
    list.append(("Ronin","Popup",{'nose':math.pi,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(19,20)}))
    list.append(("SHW-Mikado","Omni",{'nose':math.pi,'radius':2,'range':60,'topspeed':100,'throttle':100,'turn':30,'turnspeed':2,'weapons':(55,)}))

    # 4 - BLACK STORM  "All the fear of the dark and all the force of a storm."
    list.append(("BOT-206","Omni",{'nose':math.pi,'radius':0.1,'range':50,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(19,)}))
    list.append(("Devil III","Pusher",{'nose':math.pi,'invertible':True,'nose':math.pi,'radius':0.1,'topspeed':100,'throttle':130,'turn':30,'turnspeed':1}))
    list.append(("Industrial Coal Miner","Omni",{'invertible':True,'nose':math.pi*2,'radius':0.1,'range':10,'topspeed':150,'throttle':130,'turn':60,'turnspeed':3,'weapons':(29,41,42)}))
    list.append(("Reaver","Omni",{'nose':math.pi*2,'radius':0.1,'range':30,'topspeed':100,'throttle':100,'turn':25,'turnspeed':2,'weapons':(7,)}))
    list.append(("Darkling","OmniRam",{'invertible':True,'nose':math.pi,'radius':0.1,'topspeed':99,'throttle':130,'turn':40,'turnspeed':1,'weapons':(5,6)}))
    list.append(("Black Storm","PillarPlus",{'nose':math.pi*2,'range':99,'range2':5,'radius':0.5,'topspeed':100,'throttle':130,'turn':100,'turnspeed':5,'weapons':(25,)}))

    # 5 - Team SPARK  "When SPARKs fly, robots die."
    list.append(("BROKE!","Popup",{'nose':math.pi,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(12,)}))
    list.append(("The Boxer's Revenge","Poker",{'invertible':True,'triggers':["JabLeft","JabRight"],'nose':math.pi*2,'radius':0.1,'topspeed':100,'throttle':130,'turn':130,'turnspeed':5,'weapons':(12,17)}))
    list.append(("CRITICAL EMERGENCY","Flipper",{'nose':math.pi,'radius':0.1,'topspeed':150,'throttle':130,'turn':60,'turnspeed':2,'weapons':(9,10,11,12)}))
    list.append(("Speed Freak","Omni",{'invertible':True,'nose':math.pi,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(11,12)}))
    list.append(("Explosive Material","Omni",{'nose':math.pi,'radius':0.1,'range':40,'topspeed':100,'throttle':130,'turn':30,'turnspeed':4,'weapons':(21,)}))
    list.append(("Fast'N'Furious","Poker",{'invertible':False,'nose':math.pi,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':3,'weapons':(20,22)}))

    # 6 - Spike Heads "We'd like you to meet our big metal friend..."
    list.append(("Raving M.A.D.","Rammer",{'invertible':True,'nose':math.pi,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5}))
    list.append(("Insanity","Flipper",{'nose':math.pi*2,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(5,)}))
    list.append(("Big Metal Friend","Omni",{'invertible':True,'nose':math.pi*2,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':3,'weapons':(39,42)}))
    list.append(("Absurdity","Spinner",{'invertible':False,'range':50,'nose':math.pi,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(9,10)}))
    list.append(("Feeblemind","FBS",{'invertible':True,'nose':math.pi*18/10,'radius':.3,'topspeed':30,'throttle':100,'turn':80,'turnspeed':6,'weapons':(28,)}))
    list.append(("Asylum","Omni",{'nose':math.pi,'range':99,'radius':0.1,'topspeed':100,'throttle':130,'turn':80,'turnspeed':3,'weapons':(17,18)}))

    # 7 - North Polers "Literally, cold blooded killers."
    list.append(("Tip of the Iceberg","Omni",{'nose':math.pi,'radius':0.1,'topspeed':100,'throttle':100,'turn':60,'turnspeed':3.5,'weapons':(14,15,16)}))
    list.append(("Iceberg","Omni",{'nose':math.pi*2,'radius':0.1,'topspeed':15,'throttle':130,'turn':60,'turnspeed':2,'weapons':(11,12,13)}))
    list.append(("SnowJob v2","Pusher",{'nose':math.pi,'invertible':True,'radius':0.1,'topspeed':150,'throttle':130,'turn':60,'turnspeed':2}))
    list.append(("Frenzied Snowman","VertSpinner",{'nose':math.pi*2,'range':99,'radius':0.1,'range':99,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(13,)}))
    list.append(("Hypothermia","Omni",{'nose':math.pi,'invertible':True,'radius':0.1,'topspeed':100,'throttle':100,'turn':30,'turnspeed':3,'weapons':(19,20)}))
    list.append(("Frostbite","Omni",{'invertible':True,'nose':math.pi,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(15,20)}))

    # 8 - HIGH VOLTAGE "Nothing like 10,000 VAC to keep you awake and alert."
    list.append(("FlipJack","Flipper",{'nose':math.pi,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(11,)}))
    list.append(("SlashBack 2","Flipper",{'nose':math.pi*2,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':3.5,'weapons':(18,19,20,21)}))
    list.append(("WIIIDE LOAD","Omni",{'invertible':True,'nose':math.pi*2,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(29,30)}))
    list.append(("Thunderclap","Omni",{'nose':math.pi,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(10,)}))
    list.append(("ElectroStatic","Frenzy",{'nose':math.pi,'radius':0.1,'topspeed':100,'throttle':130,'turn':80,'turnspeed':3.5,'weapons':(33,)}))
    list.append(("Buzz Lightyear","Pusher",{'invertible':True,'nose':math.pi,'radius':0.2,'topspeed':100,'throttle':130,'turn':40,'turnspeed':2}))

    # 9 - Team HEX "We eat nuts and bolts for breakfast... and your bots for lunch !"
    list.append(("Grim Chopper","Omni",{'nose':math.pi,'radius':0.1,'topspeed':100,'throttle':100,'turn':80,'turnspeed':2,'weapons':(16,)}))
    list.append(("Lock Nut v2","Spinner",{'nose':math.pi*1.5,'radius':0.3,'range':500,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(10,11,12)}))
    list.append(("Cranky Spanky","Omni",{'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':3,'weapons':(7,8,34,35,37,38,39,40)}))
    list.append(("Gearhead","Omni",{'nose':math.pi,'invertible':True,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(12,13)}))
    list.append(("Clockwork Centurion 3","PillarPlus",{'nose':math.pi*2,'range':99,'range2':2,'radius':0.5,'topspeed':100,'throttle':130,'turn':80,'turnspeed':2,'weapons':(20,)}))
    list.append(("Crash Test 2","Omni",{'nose':math.pi,'range':20,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(13,14)}))

    # 10 - Team Z "Still cooler than you. Deadlier as well"
    list.append(("Berserker","Spinner",{'nose':-math.pi/2,'range':40,'radius':0.2,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(9,10,11)}))
    list.append(("Razorback v2","Flipper",{'nose':math.pi*2,'radius':0.1,'topspeed':100,'throttle':130,'turn':30,'turnspeed':2,'weapons':(25,)}))
    list.append(("Eye Stabber","Poker",{'nose':math.pi,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(18,)}))
    list.append(("Silver Star 2","Omni",{'invertible':True,'nose':math.pi,'range':4,'radius':0.1,'topspeed':100,'throttle':100,'turn':60,'turnspeed':2,'weapons':(14,15,16,17)}))
    list.append(("741","Flipper",{'nose':math.pi*2,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':3,'weapons':(11,)}))
    list.append(("SHW-Blade Wave","Omni",{'invertible':True,'nose':math.pi*2,'radius':0.1,'topspeed':120,'throttle':130,'turn':100,'turnspeed':4,'weapons':(1,2,3)}))

    # 11 - SteelYard Dawgs "Our bite is worse than our bark, but our pushing power is the worst by far."
    list.append(("Mangy Mutt","OmniRam",{'invertible':True,'nose':math.pi*2,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(1,)}))
    list.append(("Top Dog","OmniRam",{'invertible':True,'nose':math.pi,'radius':0.1,'topspeed':100,'throttle':130,'turn':40,'turnspeed':1,'weapons':(1,)}))
    list.append(("Bad Dog","OmniRam",{'invertible':True,'nose':math.pi*2,'radius':0.1,'topspeed':100,'throttle':130,'turn':40,'turnspeed':1,'weapons':(1,)}))
    list.append(("AW-Skinny Puppy","OmniRam",{'invertible':True,'nose':math.pi,'radius':0.1,'topspeed':99,'throttle':100,'turn':30,'turnspeed':2.5,'weapons':(1,)}))
    list.append(("BW-FangY","OmniRam",{'invertible':True,'nose':math.pi*2,'radius':0.1,'topspeed':100,'throttle':130,'turn':30,'turnspeed':2.5,'weapons':(1,)}))
    list.append(("SHW-Tough Dog 2","OmniRam",{'invertible':True,'nose':math.pi,'radius':0.2,'topspeed':100,'throttle':100,'turn':50,'turnspeed':3,'weapons':(1,)}))

    # 12 - RIOT "Things are going to get even LOUDER!"
    list.append(("Civil Uprising","Omni",{'invertible':True,'nose':math.pi*2,'radius':0.1,'range':90,'topspeed':100,'throttle':130,'turn':80,'turnspeed':4,'weapons':(5,6,7,8)}))
    list.append(("Deadly VENGEANCE","Omni",{'invertible':False,'nose':math.pi,'range':50,'radius':0.3,'topspeed':100,'throttle':130,'turn':50,'turnspeed':3,'weapons':(8,9,10,11)}))
    list.append(("Velociraptor","InvertOmni",{'nose':math.pi,'radius':0.1,'topspeed':100,'throttle':130,'turn':50,'turnspeed':3,'weapons':(31,32,33,34,35,36)}))
    list.append(("Molotov","Omni",{'nose':math.pi*2,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(11,12)}))
    list.append(("REvolution ","Omni",{'invertible':True,'nose':math.pi,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':1.5,'weapons':(26,)}))
    list.append(("The Anarchist's Cookbook","Spinner",{'nose':math.pi,'range':99,'radius':1.0,'topspeed':100,'throttle':130,'turn':80,'turnspeed':2.5,'weapons':(14,)}))

    # 13 - MEGATON "KABBBBOOOOOOOOOOOMMMMM!!!!!!!!1"
    list.append(("Explosive Stinger","Poker",{'invertible':True,'nose':math.pi*2,'radius':0.1,'topspeed':100,'throttle':130,'turn':100,'turnspeed':2.5,'weapons':(9,)}))
    list.append(("Tempest","Spinner",{'nose':math.pi*2,'radius':0.5,'range':500,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(18,19,20,21,26,27)}))
    list.append(("UnDeadbeat","Poker",{'nose':math.pi,'delay':20,'radius':0.1,'topspeed':100,'throttle':130,'turn':50,'turnspeed':2,'weapons':(31,)}))
    list.append(("Impact Event","Spinner",{'nose':math.pi*2,'range':99,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(19,)}))
    list.append(("Shockwave","Omni",{'invertible':False,'nose':math.pi*2,'radius':0.1,'topspeed':100,'throttle':130,'turn':80,'turnspeed':3.5,'weapons':(10,11)}))
    list.append(("Cataclysm","FBS_1",{'PreSpinEntrance':5,'SpinDirection':1,'ReMobilizeRoutineTime':20,'nose':math.pi*2,'radius':0.3,'range':99,'topspeed':100,'throttle':130,'turn':90,'turnspeed':4,'weapons':(22,23,24)}))

    # 14 - The Scrappers "We scrap junk for a living, so your bots won't be a problem at all."
    list.append(("360 Arc Pounder","PillarPlus",{'invertible':True,'nose':math.pi,'range2':20,'radius':0.5,'topspeed':99,'throttle':130,'turn':60,'turnspeed':3,'weapons':(9,11)}))
    list.append(("Ripblade III","VertSpinner",{'nose':math.pi,'radius':0.5,'range':20,'topspeed':100,'throttle':130,'turn':60,'turnspeed':3,'weapons':(17,18,19,20,21,22,23,24,25,26,27,28)}))
    list.append(("Backyard Shredder","Omni",{'nose':math.pi*2,'radius':0.1,'range':30,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(33,45,46)}))
    list.append(("JunkMaker 3000","Omni",{'nose':math.pi,'invertible':False,'radius':0.1,'range':2,'topspeed':100,'throttle':100,'turn':60,'turnspeed':4,'weapons':(9,)}))
    list.append(("Scavenger","Rammer",{'nose':math.pi,'radius':0.3,'topspeed':100,'throttle':130,'turn':60,'turnspeed':4,'weapons':(16,17)}))
    list.append(("SHW-Scrapyard Behemoth","Spinner",{'nose':math.pi*2,'range':99,'radius':1.5,'topspeed':100,'throttle':130,'turn':100,'turnspeed':5,'weapons':(16,)}))
	
    # 15 - BBEANS Champions "The best of BBEANS, for your worst."
    list.append(("Smashbox 2","Smashbox",{'nose':math.pi,'radius':1,'reload':8,'topspeed':18,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(20,),'sweapons':(21,),'tweapons':(22,),'qweapons':(23,)}))
    list.append(("Mako","Omni",{'invertible':True,'nose':math.pi*2,'range':99,'radius':1.4,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.2,'weapons':(25,26)}))
    list.append(("Shebeast","SwitchWep",{'invertible':True,'range':99,'nose':math.pi*2,'radius':1.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':3.5,'weapons':(36,37,38,39,40,41,42,51,52,53,54,55,56,57,58,59,62,63),'sweapons':(20,)}))
    list.append(("Hazardous Contraption","Omni",{'nose':math.pi,'radius':0.5,'range':50,'topspeed':100,'turn':50,'turnspeed':3,'weapons':(13,14,15,16,17,18,19,20)}))
    list.append(("Enfilad3","Omni",{'nose':math.pi,'radius':0.5,'topspeed':100,'throttle':130,'turn':50,'turnspeed':3,'weapons':(11,12,13,14,15,16)}))
    list.append(("Diarrhea Of A Madman","Omni",{'invertible':True,'nose':math.pi,'range':99,'radius':1.2,'topspeed':100,'throttle':130,'turn':75,'turnspeed':2.5,'weapons':(16,)}))
	
    # 16 - Robot Arena Reincarnated "From the forgotten graves and rusting junk we rise again!"
    list.append(("Gammaraze IV","Omni",{'invertible':True,'nose':math.pi*2,'radius':0.1,'range':500,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(12,20,22,36,37,40)}))
    list.append(("Topknot III","Topknot",{'invertible':False,'whip':"around",'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(29,30,31,32,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69)}))
    list.append(("ScootOrDie 2","OmniMultiZone",{'nose':math.pi,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2,'weapons':(1,2,3)}))
    list.append(("Aquarius 3","Poker",{'nose':math.pi*2,'range':99,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':1.5,'weapons':(20,23,29)}))
    list.append(("Pon2n","Omni",{'nose':math.pi,'radius':0,'range':50,'topspeed':100,'throttle':130,'turn':60,'turnspeed':1.5,'weapons':(39,40,42,43,47,48)}))
    list.append(("Triclops v3.0","Omni",{'nose':math.pi*2,'radius':0.1,'topspeed':100,'throttle':130,'turn':130,'turnspeed':2.5,'weapons':(23,24,25)}))

    # 17 - Arthrobotics "Be warned... these bugs swat back"
    list.append(("AW-Nanowhirl","Spinner",{'nose':math.pi*2,'range':15,'radius':0.4,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(2,)}))
    list.append(("AW-Terminus","Omni",{'nose':math.pi*2,'radius':0.1,'range':15,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(17,)}))
    list.append(("BW-Microwhirl","Spinner",{'nose':math.pi*2,'range':30,'radius':0.4,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(6,9,10,11,12)}))
    list.append(("BW-True Love","Omni",{'invertible':True,'nose':math.pi*2,'radius':0.1,'range':30,'topspeed':100,'throttle':130,'turn':60,'turnspeed':3,'weapons':(12,13,14,15)}))
    list.append(("BW-Sheer Pressure","Poker",{'nose':math.pi,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':4,'weapons':(10,)}))
    list.append(("BW-Robokillase","Rammer",{'invertible':True,'nose':math.pi*2,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5}))

    # 18 - Stormraiders "Can your bots resist to bad weather? We think not"
    list.append(("Grey Cloud","PillarPlus",{'invertible':True,'range2':20,'radius':0.5,'throttle':130,'weapons':(14,15)}))
    list.append(("Djinn 2","Omni",{'nose':math.pi,'invertible':False,'radius':0.2,'range':30,'throttle':130,'topspeed':99,'turn':50,'turnspeed':3,'weapons':(12,13,14,15,16,17)}))
    list.append(("Mjolnir 3","Poker",{'nose':math.pi*2,'invertible':False,'radius':0.1,'throttle':130,'topspeed':99,'turn':50,'turnspeed':3,'weapons':(1,)}))
    list.append(("Ball Lightning","PillarPlus",{'invertible':False,'range':99,'range2':1.5,'throttle':130,'radius':0.3,'weapons':(7,)}))
    list.append(("Zephyr","Omni",{'invertible':True,'range':10,'topspeed':99,'throttle':130,'turn':50,'turnspeed':3,'weapons':(1,)}))
    list.append(("Century Storm","Omni",{'nose':math.pi,'invertible':True,'range':10,'topspeed':99,'throttle':130,'turn':50,'turnspeed':3,'weapons':(1,)}))
	
    # 19 - Team Despair "We have nothing to offer you but scrap, tears, toil and sweat"
    list.append(("Sad Tale","Poker",{'nose':math.pi*2,'invertible':True,'radius':0.1,'throttle':130,'topspeed':99,'turn':80,'turnspeed':3,'weapons':(6,)}))
    list.append(("Ill Omen","Poker",{'invertible':False,'radius':0.1,'throttle':130,'topspeed':99,'turn':80,'turnspeed':3,'weapons':(9,)}))
    list.append(("Agony ","Omni",{'nose':math.pi,'invertible':True,'radius':0.3,'throttle':130,'topspeed':99,'turn':60,'turnspeed':3,'weapons':(12,13,14,15,16)}))
    list.append(("Torment","WhipperPlus",{'nose':math.pi,'invertible':True,'radius':0.1,'throttle':130,'topspeed':99,'turn':30,'turnspeed':2,'weapons':(1,)}))
    list.append(("Dreadweaver","OmniVSpinner",{'nose':math.pi,'invertible':True,'radius':0.2,'topspeed':99,'range':99,'throttle':130,'turn':50,'turnspeed':3,'weapons':(1,2)}))
    list.append(("Hope No More 3.2","Omni",{'invertible':True,'nose':math.pi/2,'radius':0.5,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12)}))
	
    # 20 - Ordo Ignis "Kill it with fire!"
    list.append(("Fireside","FBS",{'nose':math.pi*0.5,'invertible':True,'radius':0.2,'throttle':130,'topspeed':99,'turn':50,'turnspeed':3,'weapons':(12,)}))
    list.append(("Red Drake 4","Omni",{'invertible':True,'radius':0.1,'throttle':130,'topspeed':99,'turn':50,'turnspeed':3,'weapons':(1,2,3,4)}))
    list.append(("Pyrotechnic Display 2","Omni",{'radius':0.4,'range':40,'throttle':130,'topspeed':99,'turn':40,'turnspeed':2,'weapons':(8,)}))
    list.append(("Firestarter","Omni",{'invertible':True,'radius':0.1,'range':99,'throttle':130,'topspeed':99,'turn':80,'turnspeed':4,'weapons':(24,25,26,27,29,30,31,32)}))
    list.append(("Hot Spot","PillarPlus",{'invertible':True,'radius':0.2,'range':0.01,'range2':4,'throttle':130,'topspeed':99,'turn':60,'turnspeed':3,'weapons':(12,)}))
    list.append(("Smelter","Omni",{'nose':math.pi,'invertible':True,'radius':0.2,'throttle':130,'topspeed':99,'turn':40,'turnspeed':2.5,'weapons':(1,2,3,4)}))
	
    # 21 - In Darkest Night "You won't even see your bots losing!"
    list.append(("Creature Of Darkness","Omni",{'nose':math.pi,'invertible':False,'radius':0.1,'range':2,'throttle':130,'topspeed':99,'turn':50,'turnspeed':3,'weapons':(12,13,14,15,16,17)}))
    list.append(("Shadowmoon 4","Omni",{'invertible':True,'range':40,'radius':0.3,'throttle':130,'topspeed':99,'turn':80,'turnspeed':4,'weapons':(11,12,13,14)}))
    list.append(("Eclipse","Poker",{'nose':math.pi,'radius':0.1,'throttle':130,'topspeed':99,'turn':50,'turnspeed':3,'weapons':(11,12,13,14)}))
    list.append(("Erebus","OmniRam",{'invertible':True,'radius':0.2,'throttle':130,'topspeed':99,'turn':50,'turnspeed':3,'weapons':(1,)}))
    list.append(("Black Dawn","Flipper",{'nose':math.pi,'invertible':False,'radius':0.1,'throttle':130,'topspeed':99,'turn':50,'turnspeed':3,'weapons':(13,14)}))
    list.append(("Night Terror","Omni",{'nose':math.pi,'range':20,'invertible':True,'radius':0.3,'throttle':130,'topspeed':99,'turn':50,'turnspeed':3,'weapons':(13,14)}))
	
    # 22 - Earth Element "How can you fight the strength of the Earth Element ?"
    list.append(("The Digger","Omni",{'nose':math.pi,'invertible':True,'range':3,'radius':0.1,'topspeed':99,'throttle':130,'weapons':(1,2)}))
    list.append(("Epicenter","FBS_2",{'nose':math.pi*2,'invertible':True,'fbs_range':50,'right':1,'chase_time':20,'topspeed':100,'throttle':130,'turn':2,'turnspeed':20,'weapons':(1,2)}))
    list.append(("Rockslide","OmniRam",{'invertible':True,'radius':0,'topspeed':99,'throttle':130,'turn':40,'turnspeed':2,'weapons':(1,2,3,4)}))
    list.append(("Mining Drill","Omni",{'nose':math.pi,'invertible':True,'range':20,'radius':0.1,'topspeed':99,'throttle':130,'weapons':(1,2)}))
    list.append(("Sarcophagus","Poker",{'invertible':True,'radius':0.3,'topspeed':99,'throttle':130,'turn':50,'turnspeed':3,'weapons':(1,2)}))
    list.append(("SHW-Genius Loci","PillarPlus",{'nose':math.pi*0.5,'invertible':True,'range':0.01,'range2':10,'radius':0.5,'topspeed':99,'throttle':130,'turn':40,'turnspeed':2,'weapons':(1,)}))
	
    # 23 - Blood Thorns "Never underestimate the power of a sawblade on a Magmotor"
    list.append(("LR-4","Omni",{'radius':0.1,'topspeed':99,'range':50,'throttle':130,'turn':40,'turnspeed':3,'weapons':(1,)}))
    list.append(("Battle Scar v6","OmniVSpinner",{'radius':0.2,'topspeed':99,'range':30,'throttle':130,'turn':50,'turnspeed':3,'weapons':(1,2)}))	
    list.append(("Grim Ripper 6","Omni",{'radius':0.2,'topspeed':99,'range':30,'throttle':130,'turn':50,'turnspeed':3,'weapons':(1,2,3,4)}))
    list.append(("AW-Scratchy","Omni",{'nose':math.pi,'invertible':True,'radius':0.1,'topspeed':99,'range':30,'throttle':130,'turn':50,'turnspeed':3,'weapons':(1,)}))
    list.append(("BW-Rip It Off Good","Omni",{'radius':0.1,'topspeed':99,'range':10,'throttle':130,'turn':50,'turnspeed':3,'weapons':(1,)}))
    list.append(("SHW-Flesh Feast","Omni",{'invertible':True,'nose':math.pi,'radius':0.5,'topspeed':99,'range':30,'throttle':130,'turn':40,'turnspeed':2,'weapons':(1,2,3,4,5,6,7,8)}))
    
    
    # 24 - Alkali Metals "Brought to you by H@zm47"
    list.append(("Sodium","Spinner",{'invertible':False,'nose':math.pi,'radius':0.1,'range':99,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(4,5,6,7)}))
    list.append(("Lithium","DirectionalSpinner",{'invertible':True,'radius':0.1,'range':99,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(12,)}))
    list.append(("Potassium","Spinner",{'invertible':False,'nose':math.pi*2,'radius':0.1,'range':99,'topspeed':100,'throttle':130,'turn':30,'turnspeed':1,'weapons':(9,10,11,12,13,14,15,16)}))
    list.append(("Rubidium","Omni",{'invertible':False,'range':99,'radius':1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':3,'weapons':(21,22)}))
    list.append(("Caesium","Spinner",{'range':99,'radius':0.4,'topspeed':100,'throttle':130,'turn':30,'turnspeed':2,'weapons':(1,)}))
    list.append(("Francium","Omni",{'invertible':False,'nose':math.pi,'radius':0.1,'range':99,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(42,43)}))
	
    # 25 - Black Hole "Winning is relative"
    list.append(("Quark","Spinner",{'invertible': True, 'radius':0.5, 'topspeed':99, 'throttle':130,'weapons':(1,2,3)}))
    list.append(("Photon","Spinner",{ 'turn':30,'radius':1,'range':99,'weapons':(1,2,)}))
    list.append(("E=mc2","Omni",{'invertible': True, 'radius':0.5,'topspeed':60,'throttle':130, 'range':70,'weapons':(1,2,3,4,5,6,7,8,9)}))
    list.append(("Standard Theory","Spinner",{'range':99,'nose' : -math.pi,'invertible':True,'radius':0.1,'topspeed':99,'throttle':130,'turnspeed':3.5,'range':99,'weapons':(1,2)}))
    list.append(("Black Matter","Rammer",{'topspeed':100,'throttle':130,'turn':30,'turnspeed':2.5,'weapons':(61,2,3,4,5,6,7,8,9,10,11)}))
    list.append(("Boson","Spinner",{'throttle':130,'topspeed':99,'turn':50,'turnspeed':2,'range':99,'radius':0.5, 'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,)}))	
    
    # 26 - The Deadpool "Brought to you by Pwnator"
    list.append(("Warhead","Rammer",{'invertible':True,'nose':math.pi*2,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5}))
    list.append(("Dreamcatcher","PillarPlus",{'invertible':True,'nose':math.pi,'range':10,'radius':1,'topspeed':10,'throttle':130,'turn':60,'turnspeed':5,'weapons':(1,2,3)}))
    list.append(("Grey Matter","Omni",{'invertible':True,'range':99,'radius':1.4,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.2,'weapons':(1,2,3,4)}))
    list.append(("Infection","Flipper",{'nose':math.pi*2,'radius':0.1,'topspeed':100,'throttle':100,'turn':30,'turnspeed':5,'weapons':(1,2,3,4)}))
    list.append(("Paper Cut","Flipper",{'nose':math.pi*2,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(1,2,3,4)}))
    list.append(("Monochrome","Omni",{'invertible':False,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9)}))
    
    # 27 - Team Destroyer "Destroying the opposition"
    list.append(("Micro Destroyer","VertSpinner",{'invertible':False,'radius':0.2,'range':99,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(1,)}))
    list.append(("Mini Destroyer","VertSpinner",{'invertible':False,'radius':0.3,'range':99,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(1,)}))
    list.append(("Destroyer HP","VertSpinner",{'invertible':False,'radius':1,'range':99,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(1,)}))
    list.append(("Micro Destroyer 2","VertSpinner",{'invertible':False,'radius':0.2,'range':99,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(1,)}))
    list.append(("Mini Destroyer 2","VertSpinner",{'invertible':False,'radius':0.3,'range':99,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(1,)}))
    list.append(("Destroyer WDB 2","VertSpinner",{'invertible':False,'radius':1.5,'range':99,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(1,2)}))
    
    # 28 - Team Destroyer 2 "Still destroying the opposition"
    list.append(("Micro Destroyer 4","VertSpinner",{'invertible':False,'radius':0.2, 'range':40,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(1,)}))
    list.append(("Thumper 4","Spinner",{'invertible':False,'radius':0.2, 'range':99,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(1,)}))
    list.append(("Rocket Launcher 3","Flipper",{'invertible':False,'radius':0.1,'topspeed':100,'throttle':130,'turn':80,'turnspeed':3.5,'weapons':(1,)}))
    list.append(("Circle of Terror 3","Omni",{'invertible':True,'radius':0.1,'range':99,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2,'weapons':(1,)}))
    list.append(("Grinder  2","Omni",{'invertible':True,'radius':0.1, 'range':40,'topspeed':100,'throttle':130,'turn':80,'turnspeed':3,'weapons':(1,2)}))
    list.append(("Destroyer FHP","Omni",{'invertible':False,'radius':0,'range':99,'topspeed':100,'throttle':130,'turn':40,'turnspeed':2,'weapons':(1,2)}))
	
    # 29 - ENT_toxic_X "Caution : extremely toxic"
    list.append(("Gutsy Move","Poker",{'nose':math.pi*0.5,'radius':0.1,'throttle':130,'topspeed':99,'turn':60,'turnspeed':3,'weapons':(3,4,5)}))
    list.append(("+Plus+","Poker",{'nose':math.pi*2,'radius':0.1,'throttle':130,'topspeed':99,'turn':60,'turnspeed':3,'weapons':(3,4,5,6)}))
    list.append(("Reanimation","VertSpinner",{'invertible':False,'nose':math.pi,'range':99,'radius':0.3,'throttle':130,'topspeed':99,'topspeed':99,'turn':60,'turnspeed':2,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12)}))
    list.append(("The Vortex","OmniRam",{'invertible':True,'nose':math.pi*0.5,'radius':0.1,'throttle':130,'topspeed':99,'turn':60,'turnspeed':2,'weapons':(7,8,9)}))
    list.append(("Evil","Omni",{'nose':math.pi,'radius':math.pi*2,'range':20,'radius':0.1,'throttle':130,'topspeed':99,'weapons':(12,13,14,15,16,17,18,19,20)}))
    list.append(("Slide Show","Poker",{'nose':math.pi,'radius':0.1,'throttle':130,'topspeed':99,'turn':80,'turnspeed':4,'weapons':(1,2,3,4)}))
	
    # 30 - Happy King Cat  "The king gets bored, give him some fun"
    list.append(("Cat","Spinner",{'range':80 , 'radius':1, 'topspeed':99, 'turn':60, 'throttle':130,'weapons':(1,2,3,4,5,6,7,8)}))
    list.append(("Black Panther","VertSpinner",{'radius':1,'topspeed':100,'throttle':130,'turn':100,'turnspeed':3.5,'range':99,'weapons':(19,),'sweapons':(19,)}))
    list.append(("Tiger","Omni",{'invertible':True, 'range':30 , 'nose':math.pi/2, 'topspeed':99, 'throttle':130,'weapons':(1,2,3,4,5,6)}))
    list.append(("Jaguar","Flipper",{'nose':math.pi, 'radius':0.5,'topspeed':99,'throttle':130,'turnspeed':3.5,'range':99,'weapons':(1,2)}))
    list.append(("Felix","LaserGuidedV2",{'nose':math.pi,'range':80, 'radius':0.5, 'servospeed':60, 'topspeed':99, 'mayFire':False, 'throttle':130,'weapons':(1,2,3,4,5,6,7,8,9)}))
    list.append(("Schrodinger's Cat" ,"Spinner",{'nose':math.pi,'range':99, 'radius' :1, 'throttle':130,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
	
    # 31 - Legless Beasts "Brought to you by Somebody"
    list.append(("Anaconda 2","OmniRam",{'invertible':True,'turn':20,'turnspeed':1,'radius':1,'topspeed':100,'throttle':130,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18)}))    
    list.append(("Coral Snake","OmniRam_EnergyMiser",{'nose':math.pi,'invertible':True,'turn':30,'turnspeed':2.5,'radius':1,'topspeed':100,'throttle':130, 'range':5, 'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18)}))
    list.append(("Black Mamba 3","Poker",{'nose':math.pi,'invertible':True,'turn':50,'turnspeed':3,'radius':1,'topspeed':100,'throttle':130,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18)}))
    list.append(("Pit Viper 2","Omni",{'nose':math.pi*0.5,'invertible':True,'turn':30,'turnspeed':2.5,'radius':1,'topspeed':100,'throttle':130, 'range':99, 'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18)}))
    list.append(("Sidewinder 3","Omni",{'nose':math.pi*0.5,'invertible':True,'turn':30,'turnspeed':2.5,'radius':1,'topspeed':100,'throttle':130, 'range':99, 'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18)}))
    list.append(("Water Moccasin 2","Rammer",{'nose':math.pi,'invertible':True,'turn':30,'turnspeed':2.5,'radius':1,'topspeed':100,'throttle':130}))
    
    # 32 - Monster Inside "Do NOT touch"
    list.append(("Cutie","Poker",{'nose':math.pi, 'radius':0.5, 'topspeed':99,'throttle':130,'turn': 30, 'range':99,'weapons':(1,2,)}))
    list.append(("Pretty  Me","Omni",{'range':20,'nose':math.pi,'invertible':True,'topspeed':99,'throttle':130,'weapons':(1,2,3,4,5,6,7,8)}))
    list.append(("Big Love","Flipper",{'invertible':True,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15)}))
    list.append(("BongL","Rammer",{'invertible': True,'radius':0.8,'topspeed':99,'throttle':130}))
    list.append(("BongM","Rammer",{'invertible': True,'radius':0.8,'topspeed':99,'throttle':130}))
    list.append(("BongH","Rammer",{'invertible': True,'radius':0.8,'topspeed':99,'throttle':130}))
    	
    # 33 - Orcish Power "Nothing but rust and dust"
    list.append(("Goblin Strike","Poker",{'invertible':True, 'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':5,'weapons':(1,2,3,4)}))
    list.append(("Half-Orc","Spinner",{'nose':math.pi,'invertible':True,'topspeed':99,'throttle':130,'turn':80,'turnspeed':4,'range':99,'weapons':(1,2,3)}))
    list.append(("Hill Giant","Spinner",{'range':99,'invertible':True,'radius':0.5,'turn':30, 'topspeed':99,'throttle':130,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12)}))
    list.append(("Icy Goblin","Pusher",{'invertible':True,'nose':math.pi,'turn':30,'radius':0.5,'range':99,'weapons':(1,2,3,)}))
    list.append(("The Machine","Omni",{ 'range':99,'nose' : math.pi/2, 'radius':0.5, 'topspeed':99, 'throttle':130,'weapons':(1,2,3,4)}))
    list.append(("Ogre","Spinner" ,{'range':99, 'nose' : math.pi/2,  'invertible': True,'radius' :2, 'Turn':30, 'topspeed':99, 'throttle':130,'weapons':(1,2,3,4)}))
    
    # 34 - Overpowered Fly "Got hundred eyes to see your tears" 
    list.append(("Mosquito","WhipperPlus",{'invertible':True,'whip':"around",'nose':math.pi*0.5,'radius':0.2,'topspeed':99,'throttle':130,'turnspeed':3.5,'weapons':(1,2,3,4,)}))
    list.append(("Fly Swarm","WhipperPlus",{'invertible':True,'whip':"around",'nose':math.pi*0.5,'radius':1,'throttle':20,'turn':30,'turnspeed':1,'weapons':(4,5,6,7,8,9,10,11)}))
    list.append(("Blood Wasp","Spinner",{'nose':math.pi,'range':99,'radius':0.5,'topspeed':99,'throttle':130,'weapons':(1,2,3,4,5,6,7,8,9)}))
    list.append(("New Game","Rammer",{'invertible':True,'radius':0.1,'topspeed':99,'throttle':130,'weapons':(1,2,3,4,5,6,7,8,9,)}))
    list.append(("Spider Inside","Pusher",{'invertible':True,'topspeed':99,'throttle':130,'weapons':(1,2,3,4,5,6,7,8,9,)}))
    list.append(("Play Evil","Poker",{'nose':-math.pi,'invertible': True,'radius':0.5,'topspeed':99,'throttle':130,'weapons':(1,2,3,4,5,6,7,8,9,)}))

    # 35 - Team Psyco "We are Dementia"
    list.append(("The Ugly","Spinner",{'nose':math.pi*2,'radius':0.5,'range':50,'topspeed':100,'throttle':130,'turn':60,'turnspeed':3.25,'weapons':(10,11,)}))
    list.append(("Death On A Stick","FBS_1",{ 'PreSpinEntrance':30, 'SpinDirection(1/-1)':1, 'ReMobilizeRoutineTime(10-60)':10, 'range':99, 'radius':0.1, 'topspeed':120, 'throttle':120, 'turn':30, 'turnspeed':2.5, 'weapons':(10,11,12,13)}))
    list.append(("Lousy Launcher  V2","Flipper",{'nose':math.pi*2,'range':99,'radius':0.1,'topspeed':100,'throttle':130,'turn':15,'turnspeed':3,'weapons':(18,19)}))
    list.append(("VeXxEd?!","Flipper",{'nose':math.pi*2,'range':99,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':1,'weapons':(13,14,15,16,17,18,19,20,21,22,23,24,25)}))
    list.append(("The Devil's Lime 2","Flipper",{'invertible':True,'nose':math.pi*2,'radius':0.1,'topspeed':100,'throttle':130,'turn':30,'turnspeed':2.0,'weapons':(18,19,20,21,22,23)}))
    list.append(("Purple Pest","Omni",{'invertible':True,'nose':math.pi*2,'radius':0.1,'range':500,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(42,43,44,45)}))
   
    # 36 - Team Ragnell Revamped "We fight for our friends, with even more strength than before!"
    list.append(("Hornet Drone","FBS_1",{'invertible':True,'PreSpinEntrance':0,'SpinDirection(1/-1)':1,'ReMobilizeRoutineTime(10-60)':20,'range':99,'radius':0.1,'topspeed':12,'throttle':20,'turn':30,'turnspeed':1,'weapons':(9,11)}))
    list.append(("Bullet Ant","Popup",{'nose':math.pi,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(18,19,20,21)}))
    list.append(("Civil Offense II","DirectionalSpinner",{'invertible':True,'nose':math.pi*2,'range':99,'radius':1.4,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.2,'weapons':(25,26)}))
    list.append(("AW-Hornet Larva","FBS_1",{'invertible':True,'PreSpinEntrance':0,'SpinDirection(1/-1)':-1,'ReMobilizeRoutineTime(10-60)':20,'range':99,'radius':0.1,'topspeed':12,'throttle':20,'turn':30,'turnspeed':1,'weapons':(9,11)}))
    list.append(("BW-XBlade^2","Spinner",{'invertible':True,'nose':math.pi,'range':30,'radius':0.4,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(6,9,10,11,12)}))
    list.append(("Crosswind","FBS_1",{'invertible':True,'PreSpinEntrance':0,'SpinDirection(1/-1)':-1,'ReMobilizeRoutineTime(10-60)':20,'range':99,'radius':0.1,'topspeed':120,'throttle':120,'turn':30,'turnspeed':1.5,'weapons':(9,11)}))
    
    # 37 - Team Suicide "The power of negative thought"
    list.append(("Call of the Tomb","Spinner",{'radius':0.5, 'topspeed':99,'throttle':130,'turn': 30, 'range':99,'weapons':(1,2,)}))
    list.append(("Overdose","Omni",{'nose':math.pi/2,'range':3,'radius':1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':5,'weapons':(1,2,3)}))
    list.append(("Poison of Maatet","LaserGuidedV2",{'nose':math.pi,'range':80, 'radius':0.5, 'servospeed':60, 'topspeed':99, 'mayFire':False, 'throttle':130,'weapons':(1,2,3,4,5,6,7,8,9)}))
    list.append(("Medecine","Spinner",{'nose':math.pi,'range':60,'radius':0.5, 'topspeed':3.8,'throttle':130,'weapons':(1,2,3)}))
    list.append(("Bad Mood", "Spinner",{'range':80,  'invertible': True,  'topspeed':99, 'throttle':130,'weapons':(1,2,3,4,5,6,7,8,9)}))
    list.append(("Hara-Kiri","Spinner" ,{'nose':math.pi,'range':99,  'radius' :1,  'topspeed':99, 'throttle':130,'weapons':(1,2,3,4,5,6,7,8)}))    	

    # 38 - TwisteD MetaL "Brought to you by S32"
    list.append(("Amolax BBEANS","PillarPlus",{'invertible':True,'radius':1,'range':0.01,'range2':40,'topspeed':99,'throttle':130,'turn':30,'turnspeed':2,'weapons':(16,17)})) 
    list.append(("BW-Twist and Turn 3","PillarPlus",{'invertible':True,'nose':math.pi*0.5,'radius':0.5,'range':0.01,'range2':20,'topspeed':99,'throttle':130,'turn':30,'turnspeed':2,'weapons':(14,15)})) 
	
    # 39 - Twisters "Death at 318 MPH"
    list.append(("BW-Spiraling Compass","FBS_1",{ 'PreSpinEntrance':5, 'SpinDirection(1/-1)':1, 'ReMobilizeRoutineTime(10-60)':10, 'range':99, 'radius':0.1, 'topspeed':120, 'throttle':120, 'turn':30, 'turnspeed':1.5, 'weapons':(11,12,13,14,15,16)}))
    list.append(("Bane II","FBS_1",{ 'PreSpinEntrance':5, 'SpinDirection(1/-1)':1, 'ReMobilizeRoutineTime(10-60)':10, 'range':99, 'radius':0.1, 'topspeed':120, 'throttle':120, 'turn':30, 'turnspeed':1.5, 'weapons':(11,12,13,14,15,16)}))
    list.append(("Circle of Thorns III","FBS_1",{'nose':-math.pi,'PreSpinEntrance':4, 'SpinDirection(1/-1)':1, 'ReMobilizeRoutineTime(10-60)':10, 'range':99, 'radius':0.1, 'topspeed':120, 'throttle':120, 'turn':30, 'turnspeed':1.5, 'weapons':(11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26)}))
    list.append(("Devilish Charm","FBS_1",{ 'PreSpinEntrance':4, 'SpinDirection(1/-1)':1, 'ReMobilizeRoutineTime(10-60)':10, 'range':99, 'radius':0.1, 'topspeed':120, 'throttle':120, 'turn':30, 'turnspeed':1.5, 'weapons':(11,12,13,14,15,16,17,18,19,20,21,22)}))
    list.append(("SHW-Hellish Charm","FBS_1",{ 'PreSpinEntrance':10, 'SpinDirection(1/-1)':1, 'ReMobilizeRoutineTime(10-60)':10, 'range':99, 'radius':0.1, 'topspeed':120, 'throttle':120, 'turn':30, 'turnspeed':1.5, 'weapons':(10,11,12,13,14,15,16,18,19,20,21,22,23,24,25,26)}))
    list.append(("Weapon Array","FBS_1",{'nose':math.pi*0.5, 'PreSpinEntrance':7, 'SpinDirection(1/-1)':1, 'ReMobilizeRoutineTime(10-60)':25, 'range':99, 'radius':0.1, 'topspeed':120, 'throttle':120, 'turn':30, 'turnspeed':1.5, 'weapons':(10,11,12,13,14,15,16,18,19,20,21,22,23,24,25,26,27,29,30,31,32,33,34,35,36,37,38,39)}))
    
    # 40 - Wriddlers Wrath "The pen is mightier than the sword"
    list.append(("Nit-Picker (AW)","Rammer",{'invertible':True,'nose':math.pi*2,'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5}))
    list.append(("Woozo","DirectionalSpinner",{'invertible':True,'nose':math.pi*2,'radius':1,'range':500,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2,'weapons':(17,18,19,20,21,22,23,24,25,26,27,28)}))
    list.append(("The Devil's Cherry","Omni",{'nose':math.pi,'radius':0.1,'range':500,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.0,'weapons':(33,45,46,47,48,49,50,51)}))
    list.append(("Muddy Mauler","Spinner",{'nose':math.pi*1.5,'radius':0.5,'range':50,'topspeed':100,'throttle':130,'turn':60,'turnspeed':3.25,'weapons':(10,11,)}))  
    list.append(("Circle of Thorns","Spinner",{'nose':math.pi*1.5,'radius':0.5,'range':500,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(18,19,20,21,26,27)}))    
    list.append(("Viscous Vandal","Omni",{'invertible':True,'nose':math.pi*2,'range':99,'radius':1.4,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.2,'weapons':(25,26,27,28)}))